For the complete documentation index, see llms.txt. This page is also available as Markdown.

Mobile To Account - Penny Drop

Data extraction of bank account refers to the process of collecting and retrieving information from a mobile number.

mobile_to_account

POST https://secctrl.tutelar.io/api/v2/kyc/banking/mobile_to_account

Name
Value

Content-Type

application/json

Authorization

Bearer eyJhbGciOiJ.....

Post parameters description is given below,

Post Parameter
Type
Is Mandatory
Description

mobile_number

String

Yes

Mobile Number

Sample Post Parameters

{
    "mobile_number": "9000190002"
}
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "ff26bf52-5946-4469-8529-cdbf25aa2d44",
    "status": "completed",
    "result": {
        "message": "SUCCESS",
        "name_at_bank": "SIVA MANIKANDAN",
        "account_number": "50100552304042",
        "ifsc_code": "HDFC0001858",
        "vpa": "sivamani072001-1@okhdfcbank"
    },
    "requested_at": "2025-06-11T14:07:49.367Z",
    "completed_at": "2025-06-11T14:07:51.444Z"
}

Check Api Status

Get account details

This Get details API using to fetch the latest updated response when the above API gave the status as in-progress by using the reference_id

GET https://secctrl.tutelar.io/api/v2/kyc/banking/mobile_to_account

Query parameters description is given below,

Query Parameter
Type
Is Mandatory
Description

reference_id

String

Yes

Document reference id

Last updated